DSRA_MULTI_DATA(3)

FUNCTION
dsra_multi_data - READ ASCII representation of data in a multi_array descriptor.

SYNOPSIS
#include <karma_dsra.h>

flag dsra_multi_data

(Channel channel, multi_array *multi_desc)

DESCRIPTION
READ ASCII representation of data in a multi_array descriptor.

channel
    The channel object to read from.

multi_desc
    The multi_array descriptor to store the data in. This is modified.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

NOTE
The routine will only allocate space for linked list as it reads them.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/